Bug 1126956 - YouTube HTML5 video no longer works after update to gstreamer1-vaapi-0.5.9
Summary: YouTube HTML5 video no longer works after update to gstreamer1-vaapi-0.5.9
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-vaapi
Version: 20
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Farnsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 17:36 UTC by JMlich
Modified: 2015-12-06 01:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:01 UTC


Attachments (Terms of Use)

Description JMlich 2014-08-05 17:36:11 UTC
Description of problem:
youtube video no longer works in Firefox after update to gstreamer1-vaapi-0.5.9

Version-Release number of selected component (if applicable):
gstreamer1-vaapi-0.5.9-1.fc20.i686.rpm

How reproducible:


Steps to Reproduce:
1. gstreamer1-vaapi-0.5.9-1.fc20.i686.rpm
2. switch youtube to use html5 to play video 
3. play some video

Actual results:
After update just green rect displayed

Expected results:
Video stream

Additional info:
After downgrade to gstreamer1-vaapi-0.5.8-3.fc20.i686.rpm viode works again.
Intel(R) Pentium(R) CPU        P6100  @ 2.00GHz
(gen5 / Arrandale gpu)
 
libva info: VA-API version 0.34.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_34
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.34 (libva 1.2.1)
vainfo: Driver version: Intel i965 driver - 1.2.2
vainfo: Supported profile and entrypoints
      VAProfileNone                   :	VAEntrypointVideoProc
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD

Comment 1 Christian Stadelmann 2014-09-06 11:08:08 UTC
I can confirm this bug and the workaround. Hardware is a Intel Core i5 Westmere/Clarkdale CPU with SNA (Sandy Bridge New Acceleration) enabled.

Additional details:
]$ vainfo
libva info: VA-API version 0.34.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_34
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.34 (libva 1.2.1)
vainfo: Driver version: Intel i965 driver - 1.2.2
vainfo: Supported profile and entrypoints
      VAProfileNone                   :	VAEntrypointVideoProc
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD

Comment 2 Christian Stadelmann 2014-10-01 11:03:01 UTC
I can not reproduce this bug using F21 Alpha with gstreamer1-vaapi-0.5.9-2 which should be identical to gstreamer1-vaapi-0.5.9-1.

Comment 3 Simon Farnsworth 2014-10-01 11:12:27 UTC
(In reply to Christian Stadelmann from comment #2)
> I can not reproduce this bug using F21 Alpha with gstreamer1-vaapi-0.5.9-2
> which should be identical to gstreamer1-vaapi-0.5.9-1.

That implies that the update from libva-1.2.1 to libva-1.3.1 (with associated bump in libva-intel-driver) fixed things for you.

JMlich, would you mind trying the update? If installing the F21 packages is challenging, let me know, and I'll rebuild libva and libva-intel-driver for F20 for you.

Comment 4 JMlich 2014-10-01 15:52:46 UTC
> JMlich, would you mind trying the update? If installing the F21 packages is
> challenging, let me know, and I'll rebuild libva and libva-intel-driver for
> F20 for you.

Currentlly I cannot test F21 on bare metal pc, just F20.

Comment 5 Simon Farnsworth 2014-10-09 20:36:44 UTC
I've rebuilt the necessary RPMs for Fedora 20 i386 and placed them at http://logos.farnz.org.uk/tmp/libva/ for testing. Does upgrading to these versions fix things for you?

Comment 6 JMlich 2014-10-10 17:32:16 UTC
Did test with libva packages from link + gstreamer1-vaapi.i686 (0.5.9-1.fc20).
Didn't fix an problem, still got just green rect. 0.5.8 still fine.

Comment 7 Tim Waugh 2014-10-18 21:58:55 UTC
I see a black rectangle instead of a green rectangle... am I seeing a different bug?

libva-1.3.1-4.fc21.x86_64
gstreamer1-vaapi-0.5.9-2.fc21.x86_64
firefox-32.0.2-1.fc21.x86_64

$ vainfo
libva info: VA-API version 0.35.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit

Comment 8 Christian Stadelmann 2014-10-19 16:40:43 UTC
@Tim Waugh (Comment #7):
As Simon Farnsworth noted in Comment #3 libva-1.3.1 should fix this (it does in my case). So I think the answer is: Yes, you are seeing a (at least slightly) different bug.

Comment 9 JMlich 2014-12-12 21:34:18 UTC
After upgrage to f21 still just green field

$ vainfo
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.36 (libva 1.4.1)
vainfo: Driver version: Intel i965 driver for Intel(R) Ironlake Mobile - 1.4.1
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

Comment 10 Ting-Wei Lan 2014-12-16 17:44:20 UTC
I got the same problem in epiphany.

libva-1.4.1-1.fc21.x86_64
gstreamer1-vaapi-0.5.9-3.fc21.x86_64

$ vainfo
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.36 (libva 1.4.1)
vainfo: Driver version: Intel i965 driver for Intel(R) Ironlake Desktop - 1.4.1
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc


I also tried to download the video using youtube-dl, but totem shows error when I played the download file.

ERROR            vaapidecode gstvaapidecode.c:397:gst_vaapidecode_push_decoded_frame: video sink rejected the video buffer (error -4)
ERROR                default totem-gst-helpers.c:61:totem_gst_message_print: message = GStreamer encountered a general stream error.
ERROR                default totem-gst-helpers.c:63:totem_gst_message_print: domain  = 5238 (gst-stream-error-quark)
ERROR                default totem-gst-helpers.c:64:totem_gst_message_print: code    = 1
ERROR                default totem-gst-helpers.c:65:totem_gst_message_print: debug   = qtdemux.c(4434): gst_qtdemux_loop (): /GstPlayBin:play/GstURIDecodeBin:uridecodebin0/GstDecodeBin:decodebin0/GstQTDemux:qtdemux0:
streaming stopped, reason not-negotiated
ERROR                default totem-gst-helpers.c:66:totem_gst_message_print: source  = <qtdemux0>
ERROR                default totem-gst-helpers.c:67:totem_gst_message_print: uri     = (NULL)

Comment 11 Simon Farnsworth 2015-02-15 16:20:26 UTC
Could the people still affected by this take a look at https://bugzilla.redhat.com/show_bug.cgi?id=1123536 - there have been bugs outside gstreamer1-vaapi that prevented negotiation working.

If it's still causing issues with 0.5.10, ping me on this bug and I'll forward upstream.

Comment 12 Ting-Wei Lan 2015-02-15 16:47:56 UTC
I tried the patches posted in bug 1123536. It caused totem to fail to start with  these messages:
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
intel_do_flush_locked failed: No such file or directory

Comment 13 Ting-Wei Lan 2015-02-15 18:27:04 UTC
I got the same problem with 0.5.10.

Comment 14 Simon Farnsworth 2015-02-15 20:16:13 UTC
(In reply to Ting-Wei Lan from comment #12)
> I tried the patches posted in bug 1123536. It caused totem to fail to start
> with  these messages:
> libva info: VA-API version 0.36.0
> libva info: va_getDriverName() returns 0
> libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
> libva info: Found init function __vaDriverInit_0_36
> libva info: va_openDriver() returns 0
> intel_do_flush_locked failed: No such file or directory

Does it fix Epiphany? This bug is about YouTube HTML5 videos failing with gstreamer1-vaapi installed; if gstreamer1-vaapi also doesn't work with Totem, could you track that in a separate bug?

Comment 15 Ting-Wei Lan 2015-02-16 07:58:36 UTC
I cannot reproduce the issue with both 0.5.9 and 0.5.10 now. YouTube HTML5 video works in Epiphany although it doesn't work in Totem.

Comment 16 Ting-Wei Lan 2015-02-16 08:00:53 UTC
Firefox also works fine with 0.5.9 now.

Comment 17 JMlich 2015-02-18 20:13:43 UTC
Still no luck with 0.5.10 from updates testing.
New are console errors from gst, like bellow.

libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0

(firefox:8193): GStreamer-CRITICAL **: gst_mini_object_lock: assertion 'object != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_memory_unmap: assertion 'mem != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_memory_get_sizes: assertion 'mem != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_mini_object_lock: assertion 'object != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_memory_unmap: assertion 'mem != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_memory_get_sizes: assertion 'mem != NULL' failed

(firefox:8193): GStreamer-CRITICAL **: gst_mini_object_unlock: assertion 'object != NULL' failed

... and more

Comment 18 Pablo Iranzo Gómez 2015-05-10 08:48:17 UTC
Same here as JMlich on #17  with shotwell, it generates core on startup:

 iranzo  ~  130  shotwell 

(shotwell:6059): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:follow-state is deprecated and shouldn't be used anymore. It will be removed in a future version.

(shotwell:6059): GLib-GObject-WARNING **: The property GtkAlignment:left-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.

(shotwell:6059): GLib-GObject-WARNING **: The property GtkAlignment:right-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.

(shotwell:6059): GLib-GObject-WARNING **: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
DtsGetHWFeatures: Create File Failed
DtsGetHWFeatures: Create File Failed
Running DIL (3.22.0) Version
DtsDeviceOpen: Opening HW in mode 0
DtsDeviceOpen: Create File Failed
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
Violación de segmento (`core' generado)

Comment 19 Fedora End Of Life 2015-05-29 12:34:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ting-Wei Lan 2015-05-29 13:20:18 UTC
I see the problem again on Fedora 22. Can we change the version to 22?

gstreamer1-vaapi-0.5.10-2.fc22.x86_64

libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_37
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.37 (libva 1.5.1)
vainfo: Driver version: Intel i965 driver for Intel(R) Ironlake Desktop - 1.5.1
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

Comment 21 Fedora End Of Life 2015-06-29 21:57:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Ting-Wei Lan 2015-06-30 18:32:17 UTC
Can we reopen this bug? It still happens on Fedora 22 and it crashes gnome-shell and causes gnome-session-failed.


Intel(R) Core(TM) i5 CPU 650  @ 3.20GHz

gstreamer1-vaapi-0.5.10-2.fc22.x86_64
libva-intel-driver-1.5.1-1.fc22.x86_64
libva-1.5.1-1.fc22.x86_64
kernel-4.0.7-300.fc22.x86_64
mesa-10.6.0-1.fc22.x86_64

libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_37
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.37 (libva 1.5.1)
vainfo: Driver version: Intel i965 driver for Intel(R) Ironlake Desktop - 1.5.1
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

[  180.336487] [drm] stuck on render ring
[  180.344256] [drm] GPU HANG: ecode 5:0:0x9ffdffff, in gnome-shell [3027], reason: Ring hung, action: reset
[  180.353847] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  180.363101] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  180.371995] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  180.381696] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  180.390688] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  180.480588] drm/i915: Resetting chip after gpu hang
[  186.335903] [drm] stuck on render ring
[  186.347118] [drm] GPU HANG: ecode 5:0:0x9ffdffff, in gnome-shell [3027], reason: Ring hung, action: reset
[  186.356777] [drm:i915_set_reset_status [i915]] *ERROR* gpu hanging too fast, banning!
[  186.505020] drm/i915: Resetting chip after gpu hang
[  194.332492] [drm] stuck on render ring
[  194.340238] [drm] GPU HANG: ecode 5:0:0x9ffdffff, in gnome-shell [4376], reason: Ring hung, action: reset
[  194.466564] drm/i915: Resetting chip after gpu hang
[  200.343949] [drm] stuck on render ring
[  200.353561] [drm] GPU HANG: ecode 5:0:0x9ffdffff, in gnome-shell [4376], reason: Ring hung, action: reset
[  200.363279] [drm:i915_set_reset_status [i915]] *ERROR* gpu hanging too fast, banning!
[  200.513022] drm/i915: Resetting chip after gpu hang
[  216.353101] [drm] stuck on render ring
[  216.360847] [drm] GPU HANG: ecode 5:0:0x9ffdffff, in systemd-logind [1004], reason: Ring hung, action: reset
[  216.375016] drm/i915: Resetting chip after gpu hang

Comment 23 Christian Stadelmann 2015-09-19 14:54:10 UTC
This is your upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=91382 https://bugs.freedesktop.org/show_bug.cgi?id=91254

The issue is fixed with mesa 10.6.6, which is not yet available on F22.

Comment 24 Ting-Wei Lan 2015-09-19 15:21:36 UTC
Yes, I know these two bug reports. GPU crash problem is fixed by the patch, but I still see green screen in Firefox and black screen in Epiphany after manually applying the patch.

Will Mesa 10.6.6 be available on F22?

Comment 25 Christian Stadelmann 2015-09-20 14:14:35 UTC
(In reply to Ting-Wei Lan from comment #24)
> 
> Will Mesa 10.6.6 be available on F22?

I don't know, but you might want to add yourself to CC of this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1261252

Comment 26 Ting-Wei Lan 2015-10-03 13:40:07 UTC
I installed Mesa 11.0.2 and gstreamer1-vaapi 0.6.1 on F22. Firefox and Epiphany still don't work, but totem and gst-launch-1.0 work fine with the same Youtube video.

Comment 27 Andrew Dunn 2015-12-06 01:51:15 UTC
I think I'm seeing the same issue in F23, error looks like this in journalctl:

https://gist.github.com/storrgie/c3cd1d9c568c71fc8f6c


Note You need to log in before you can comment on or make changes to this bug.